# setsmartsizing

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### setsmartsizing

changes smart-sizing runtime settings for an RDP connection session.

**Category: RDP-Connections**

```
AppServerClientCLI setsmartsizing -id rdp:5 -type disabled/scaletofit/resize  
```

### Arguments

* **`id (mandatory)`** Specify the RDP connection ID to use.
* **`type (mandatory)`** Determine which type of sizing will be used.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
InvalidState - Command failed due to invalid state, refer to the command for further information\
Exception - System problem

### Examples:

AppServerClientCLI setsmartsizing -id rdp:5 -type disabled

### Notes:

Can be used with RDP connections only, and the session must be running.

### See also:

[connectrdpobj](/landing/ras-windows-cli-guide/v20/commands/connectrdpobj.md)\
[disconnectrdpobj](/landing/ras-windows-cli-guide/v20/commands/disconnectrdpobj.md)\
[disconnectallrdp](/landing/ras-windows-cli-guide/v20/commands/disconnectallrdp.md)\
[getsmartsizing](/landing/ras-windows-cli-guide/v20/commands/getsmartsizing.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/setsmartsizing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
